Subject: Re: bug#54100: 29.0.50; Allow project-buffers to ignore some buffers

From: Dmitry Gutov <[email-masked]>
Date: Wed, 23 Feb 2022 04:49:33 +0200

On 22.02.2022 16:23, Manuel Uberti via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> `project-buffers' is also used by `project--buffers-to-kill' and so I 
> was ending up with some buffers of the current project not being killed 
> on 'C-x p k'.

I suppose we can add a var similar to project-kill-buffer-conditions, 
call it project-switch-[to-]buffer-conditions, and have 
project-switch-to-buffer use it.

Care to write a patch?

You're already the best person to evaluate its performance, so... ;-)